Cyberduck Mountain Duck CLI

#5911 closed enhancement (fixed)

manifest files upload to mobileme

Reported by: Jakecigar Owned by: dkocher
Priority: normal Milestone: 4.1
Component: webdav Version: 4.0.2
Severity: normal Keywords: MobileMe manifest
Cc: Architecture:
Platform: Mac OS X 10.6

Description

I noticed that Cyberduck handles OGG files uploading to MobileMe, even though Apple's iDisk does not.

I also see that there is a mime types file used in the build of Cyberduck http://trac.cyberduck.ch/browser/trunk/lib/mime.types

Would adding the appropriate mime types for HTML5 webapp manifest files allow a manifest file to be served from MobileMe?

text/cache-manifest manifest

Change History (6)

comment:1 Changed on Apr 30, 2011 at 2:34:14 AM by Jakecigar

I decided to build my own version of Cyberduck. With one line added to lib/mime.types I got manifests to work properly.

Would you add text/cache-manifest manifest to lib/mime.types for future releases?

THANKS!

comment:2 Changed on May 2, 2011 at 1:10:39 PM by dkocher

  • Component changed from core to webdav
  • Milestone set to 4.0.3
  • Owner set to dkocher

comment:3 Changed on May 2, 2011 at 1:15:31 PM by dkocher

We currently use mime.types from the Apache httpd distribution.

comment:4 Changed on May 2, 2011 at 1:17:25 PM by dkocher

The HTML5 IANA consideration proposes .appcache as the filename extension for text/cache-manifest .

Last edited on May 2, 2011 at 1:18:32 PM by dkocher (previous) (diff)

comment:5 Changed on May 2, 2011 at 1:24:02 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r8651.

comment:6 Changed on Jun 2, 2011 at 3:37:46 PM by dkocher

  • Milestone changed from 4.0.3 to 4.1

Milestone 4.0.3 deleted

Note: See TracTickets for help on using tickets.